# -------------------------------------------------
# Project created by QtCreator 2012-07-22T15:20:05
# -------------------------------------------------
TARGET = MotasControl
TEMPLATE = app
SOURCES += main.cpp \
    readscreen.cpp \
    RtMidi/RtMidi.cpp \
    crc.c \
    motasfirmware.cpp \
    utilities.cpp \
    patches.cpp \
    screencapture.cpp \
    oscilloscopescreen.cpp
HEADERS += readscreen.h \
    RtMidi/RtMidi.h \
    crc.h \
    motasfirmware.h \
    utilities.h \
    screencapture.h \
    oscilloscopescreen.h
FORMS += readscreen.ui \
    screencapture.ui \
    oscilloscopescreen.ui


greaterThan(QT_MAJOR_VERSION, 4) : QT += widgets
message($$QMAKESPEC)

QT += multimedia


win32 {
    message(win32 is defined)
    DEFINES += __WINDOWS_MM__
    LIBS += -lwinmm
}

linux {
    message(linux is defined)
    DEFINES += __LINUX_ALSA__
    DEFINES += __LINUX_ALSASEQ__
    LIBS += -lasound
}



#win32:!simulator
#{
    # DEFINES += __WINDOWS_MM__


   # LIBS += -lwinmm
    #LIBS += -lasound
    #LIBS += -lpthread
#}

RESOURCES += \
    res.qrc
